<html>
   <head>
      <link rel="stylesheet" type="text/css" href="./css/combined.css" />
   </head>
   <body>
      <!-- Header -->
      <div class="fixed">

         <!-- Topbar -->
         <div class="topbar">
            <a onclick="switch_type(false)"><span class="current">Block View</span></a>
            <a onclick="switch_type(true)"><span>Classic View</span></a>
         </div>

         <div class="test" onclick="seqLogo.get_random_sequences()">
            Click to append 10 random sequences
         </div>

         <form>
            <textarea id="input" placeholder="Enter sequence(s) here"></textarea>
         </form>
      </div>

      <!-- Logo -->
      <div id="logo"></div>

		<script type="text/javascript" src="SequenceLogo.js"></script>
		
		<script>
			classic = false;
			seqLogo = new SequenceLogo(classic);
			
			function switch_type(type) {
				seqLogo.isClassic = type;
				let logo = document.getElementById('logo');
				while(logo.firstChild) {
					logo.removeChild(logo.firstChild);
				}
				seqLogo.create_logo();
			}
			
		   window.onload = function() {
         //
         // Textarea focus and listener (allow shift+enter for newline;
         // enter key alone to submit)
         document.getElementById('input').focus()
         document.getElementById('input').onkeyup = function(event) {
            event = event || window.event
            if (event.keyCode == 13 && !event.shiftKey) {
               create_logo(this.value.trim().split(/\s+/))
               this.value = ''
            }
         }

         seqLogo.get_demo_sequences()
      }
		</script>
   </body>
</html>
